This repository contains a python code to detect fake news using Passive Aggressive Classifier and Neural Network architecture. Before applying machine learning algorithms, the dataset was preprocessed using the NLTK library, and Tf-idf was used for word vectorization. 